help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: FW: Need help upgrading from emacs 21.3 to 22.1


From: Lennart Borgman (gmail)
Subject: Re: FW: Need help upgrading from emacs 21.3 to 22.1
Date: Tue, 11 Mar 2008 02:55:36 +0100
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071031 Thunderbird/2.0.0.9 Mnenhy/0.7.5.666

Jason Rumney wrote:
On 10 Mar, 19:29, "Lennart Borgman (gmail)"
<address@hidden> wrote:

Emacs+EmacsW32 distributions might help you. They come as an
installation executable.

Are these based on the released version of Emacs 22.1? Last time I
checked, they were still based on older development code.

Still an old version, but it was made just a little bit more than a week before the release of 22.1, so the differences are small.

You can download Emacs 22.1 from ftp.gnu.org/gnu/emacs/windows
The other instructions should be as valid as they were previously, but
really all you need to do is uncompress the file to a directory and
run it (emacs.exe, or runemacs.exe to hide the command window). If you
want an Emacs icon in the start menu, then run addpm.exe.

I think there were something about environmental variable too. Didn't the default change in Emacs 22? I think there is no need to set that in Emacs 22.

I'd recommend against copying someone else's .emacs file, as the
webpage you linked to does. For one thing, most of what is in that
file is cruft, enabling things that are already enabled in 22.1 (or
even 21.3 in many cases). For another, the changes it makes to the
defaults are the personal preferences of the author of that .emacs,
and may not coincide with your own preferences.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]